d3.csv('https://gist.githubusercontent.com/Mgk1255/13dc6a2e2ff54e32c7324469931d8a3b/raw/169e95beac79a00e05c204c693ed3d67ba3b53e9/lily.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'calixLength'), y: unpack(rows, 'calixwidth'), z: unpack(rows, 'curlicuelength'),
	mode: 'markers',
	marker: {
		size: 12,
		line: {
		color: 'rgb(210, 21, 217, 0.14)',
		width: 0.5},
		opacity: 0.8},
	type: 'scatter2d'
};

var trace2 = {
	x:unpack(rows, 'calixLength'), y: unpack(rows, 'calixwidth'), z: unpack(rows, 'curlicuewidth'),
	mode: 'markers',
	marker: {
		color: 'rgb(127 12, 130)',
		size: 12,
		symbol: 'cricle',
		line: {
		color: 'rgb(207, 20, 209)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace1, trace2];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  }};
Plotly.newPlot('myDiv', data, layout);
});
